PUT /api/v202104/batch/{batchId}/distributeAccountCharges

Distributes account-level charges to meters for all bills in a batch

DistributeAccountChargesToMetersForBillsInBatchV202104 Permissions: BillsAndBatches (Edit)
Use this endpoint to proportionally distribute account-level charges across meters for every bill in the specified batch. Distribution is based on either meter use or cost depending on the split basis. A maximum of 10,000 bills can be processed at one time. Triggers bill recalculation (clean) after distribution. Requires Bills and Batches Edit permission.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
batchId Unique numeric identifier of the batch containing the bills to process integer (int32) Required

Request Body

DistributeAccountChargesBaseV202104
Property Description Type
splitBasis Determines if account charges should be assigned proportionally based on the usage values of each meter or based on the bill cost from each meter. If not provided, defaults to “Usage”. One of ‘Usage’, ‘Cost’, ‘’ Case sensitive Required (defined) integer (int32)
Example Request Body application/json
{  "splitBasis": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected The total number of items that were targeted by the bulk operation Required (defined) integer (int32)
updated The number of items that were actually modified (excludes items that already matched the target state) Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.